package com.trade.admin.enterprise.customer.dto;

import com.trade.common.core.dto.BaseDTO;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

public class EnterpriseAuditDto extends BaseDTO {
    @NotNull(message = "企业ID不能为空")
    private Long enterpriseId;
    /**
     * 企业认证状态，枚举：certification_status
     */
    @NotBlank(message = "企业认证状态不能为空")
    private String certificationStatus;

    /**
     * 业务产品，枚举：business_product
     */
    @NotBlank(message = "匹配业务产品不能为空")
    private String businessProduct;

    private String remark;

    public Long getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Long enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public @NotBlank(message = "企业认证状态不能为空") String getCertificationStatus() {
        return certificationStatus;
    }

    public void setCertificationStatus(@NotBlank(message = "企业认证状态不能为空") String certificationStatus) {
        this.certificationStatus = certificationStatus;
    }

    public @NotBlank(message = "匹配业务产品不能为空") String getBusinessProduct() {
        return businessProduct;
    }

    public void setBusinessProduct(@NotBlank(message = "匹配业务产品不能为空") String businessProduct) {
        this.businessProduct = businessProduct;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
